GET
/lending/v1/productsGet products
The endpoint lending/v1/products allows you to obtain all products, including deactivated (INACTIVE) ones, in a single response without filters or pagination.
- The pricing returned in each product is the current one as of the current date of the product's country.
- If you don't have products,
datais an empty list.
Available parameters
Autenticación
🔒BearerAuthhttp
Response details
401
The token is missing or invalid. The response has no body.
403
No body. The token is valid but does not have the scope required by the endpoint.
Ejemplo de código
curl -X GET "https://api.pomelo.la/lending/v1/products" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY"Ejemplo de respuesta (200)OK
{
"data": [
{
"id": "lpr-2HMvSzWjc5La6WDTlgFweXAmPle",
"type": "CREDIT_CARD",
"name": "Cartão Black",
"status": "ACTIVE",
"country": "BRA",
"start_date": "2026-11-01",
"end_date": "2030-12-31",
"grace_period_days": {
"pausing": 5,
"interest_accrual": 10
},
"credit_card": {
"max_allowed_installments": 12,
"installments": [
{
"type": "MAX_ALLOWED",
"value": 12
}
],
"limits": {
"type": "PER_OPERATION",
"single_payment": {
"min": "1000.00",
"max": "50000.00"
},
"installments": {
"min": "1000.00",
"max": "50000.00"
},
"cash_advance": {
"min": "100.00",
"max": "5000.00"
},
"financing": {
"min": "1000.00",
"max": "50000.00"
}
},
"collateral": [],
"billing_cycle_config": {
"allowed_due_dates": [
5,
10,
15,
20,
25
],
"minimum_days_between_closing_and_due_dates": 10,
"minimum_days_until_first_closing_date": 15
},
"minimum_payment": 100,
"minimum_payment_composition": {
"revolving": 100,
"cash_advances": 100,
"financing": 100,
"annuities": 100,
"purchases": 15
},
"affinity_group_id": "afg-2HMvSzWjc5La6WDTlgFweXAmPle"
},
"pricing": {
"start_date": "2026-10-03",
"rates": {
"financing": "12.50",
"late_fee": "2.00",
"cash_advance": "15.00",
"revolving": "14.90"
},
"fees": [
{
"name": "annual_fee",
"amount": "250.00",
"frequency": "YEARLY",
"type": "FLAT"
},
{
"name": "cash_advance_fee",
"amount": "15.00",
"frequency": "PER_OPERATION",
"operation": "CASH_ADVANCE",
"type": "FLAT"
}
]
},
"available_balance_settings": "EXTENDED",
"statement": {
"generate_pdf": true,
"include_annual_legend": true
},
"refinancing": {
"mandatory": {
"enabled": true,
"settings": {
"type": "INCLUDE_CURRENT_DEBT",
"installments": 12
}
}
},
"cancellation": {
"enabled": true,
"delinquency_days_amount": 90
}
}
]
}